ADAM_2.12: Core 0.35.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package sql
  Definition Classes
    adam
- Alignment
- Dbxref
- Feature
- Fragment
- Genotype
- OntologyTerm
- ProcessingStep
- Read
- Reference
- Sequence
- Slice
- TranscriptEffect
- Variant
- VariantAnnotation
- VariantCallingAnnotations
- VariantContext

c

org.bdgenomics.adam.sql

# Alignment 

###
Companion object Alignment

#### case class Alignment(referenceName: Option[String] = None, start: Option[Long] = None, originalStart: Option[Long] = None, end: Option[Long] = None, mappingQuality: Option[Int] = None, readName: Option[String] = None, sequence: Option[String] = None, qualityScores: Option[String] = None, cigar: Option[String] = None, originalCigar: Option[String] = None, basesTrimmedFromStart: Option[Int] = None, basesTrimmedFromEnd: Option[Int] = None, readPaired: Option[Boolean] = None, properPair: Option[Boolean] = None, readMapped: Option[Boolean] = None, mateMapped: Option[Boolean] = None, failedVendorQualityChecks: Option[Boolean] = None, duplicateRead: Option[Boolean] = None, readNegativeStrand: Option[Boolean] = None, mateNegativeStrand: Option[Boolean] = None, primaryAlignment: Option[Boolean] = None, secondaryAlignment: Option[Boolean] = None, supplementaryAlignment: Option[Boolean] = None, mismatchingPositions: Option[String] = None, originalQualityScores: Option[String] = None, readGroupId: Option[String] = None, readGroupSampleId: Option[String] = None, mateAlignmentStart: Option[Long] = None, mateReferenceName: Option[String] = None, insertSize: Option[Long] = None, readInFragment: Option[Int] = None, attributes: Option[String] = None) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Alignment
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Alignment(referenceName: Option[String] = None, start: Option[Long] = None, originalStart: Option[Long] = None, end: Option[Long] = None, mappingQuality: Option[Int] = None, readName: Option[String] = None, sequence: Option[String] = None, qualityScores: Option[String] = None, cigar: Option[String] = None, originalCigar: Option[String] = None, basesTrimmedFromStart: Option[Int] = None, basesTrimmedFromEnd: Option[Int] = None, readPaired: Option[Boolean] = None, properPair: Option[Boolean] = None, readMapped: Option[Boolean] = None, mateMapped: Option[Boolean] = None, failedVendorQualityChecks: Option[Boolean] = None, duplicateRead: Option[Boolean] = None, readNegativeStrand: Option[Boolean] = None, mateNegativeStrand: Option[Boolean] = None, primaryAlignment: Option[Boolean] = None, secondaryAlignment: Option[Boolean] = None, supplementaryAlignment: Option[Boolean] = None, mismatchingPositions: Option[String] = None, originalQualityScores: Option[String] = None, readGroupId: Option[String] = None, readGroupSampleId: Option[String] = None, mateAlignmentStart: Option[Long] = None, mateReferenceName: Option[String] = None, insertSize: Option[Long] = None, readInFragment: Option[Int] = None, attributes: Option[String] = None)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  val attributes: Option[String]
6.  val basesTrimmedFromEnd: Option[Int]
7.  val basesTrimmedFromStart: Option[Int]
8.  def canEqual(that: Any): Boolean
   Definition Classes
     Alignment → Equals
9.  val cigar: Option[String]
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native() @HotSpotIntrinsicCandidate()
11.  val duplicateRead: Option[Boolean]
12.  val end: Option[Long]
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  val failedVendorQualityChecks: Option[Boolean]
15.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
16.  val insertSize: Option[Long]
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  val mappingQuality: Option[Int]
19.  val mateAlignmentStart: Option[Long]
20.  val mateMapped: Option[Boolean]
21.  val mateNegativeStrand: Option[Boolean]
22.  val mateReferenceName: Option[String]
23.  val mismatchingPositions: Option[String]
24.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
26.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
27.  val originalCigar: Option[String]
28.  val originalQualityScores: Option[String]
29.  val originalStart: Option[Long]
30.  val primaryAlignment: Option[Boolean]
31.  def productArity: Int
    Definition Classes
      Alignment → Product
32.  def productElement(i: Int): Any
    Definition Classes
      Alignment → Product
33.  val properPair: Option[Boolean]
34.  val qualityScores: Option[String]
35.  val readGroupId: Option[String]
36.  val readGroupSampleId: Option[String]
37.  val readInFragment: Option[Int]
38.  val readMapped: Option[Boolean]
39.  val readName: Option[String]
40.  val readNegativeStrand: Option[Boolean]
41.  val readPaired: Option[Boolean]
42.  val referenceName: Option[String]
43.  val secondaryAlignment: Option[Boolean]
44.  val sequence: Option[String]
45.  val start: Option[Long]
46.  val supplementaryAlignment: Option[Boolean]
47.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
48.  def toAvro: formats.avro.Alignment
49.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
50.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
51.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped